%define oname characteristic

Summary:	Python class decorators
Name:		python-%{oname}
Version:	14.3.0
Release:	4
License:	MIT
Group:		Development/Python
Url:		https://github.com/hynek/characteristic/
Source0:	http://pypi.python.org/packages/source/c/%{oname}/%{oname}-%{version}.tar.gz
BuildRequires:	pythonegg(setuptools)
BuildArch:	noarch

%description
"characteristic" is a MIT-licensed Python package with class decorators that
ease the chores of implementing the most common attribute-related object
protocols. You just specify the attributes to work with and it gives you:
- a nice human-readable "__repr__",
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)
  *without* writing dull boilerplate code again and again.

%files
%doc AUTHORS.rst LICENSE README.rst
%{py_puresitedir}/characteristic.py*
%{py_puresitedir}/test_characteristic.py*
%{py_puresitedir}/characteristic*.egg-info

#----------------------------------------------------------------------------

%package -n python3-%{oname}
Summary:	Python 3 class decorators
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3egg(setuptools)
BuildArch:	noarch

%description -n python3-%{oname}
"characteristic" is a MIT-licensed Python 3 package with class decorators that
ease the chores of implementing the most common attribute-related object
protocols. You just specify the attributes to work with and it gives you:
- a nice human-readable "__repr__",
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)
  *without* writing dull boilerplate code again and again.

%files -n python3-%{oname}
%doc AUTHORS.rst LICENSE README.rst
%{py3_puresitedir}/characteristic.py*
%{py3_puresitedir}/test_characteristic.py*
%{py3_puresitedir}/characteristic*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd
%py2_install

%changelog

* Tue Apr 24 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 14.3.0-4
- (ff36e62) Build both python 2 and python 3 modules


